<script setup>
import { Icon } from '@iconify/vue'
</script>

<template>
  <div class="l-auth-modal">
    <div class="l-auth-modal__top-flag">
      <Icon icon="mdi:lock-outline" width="16px" height="16px" />
      <p>Make sure your connection is safe</p>
    </div>
    <div class="l-auth-modal__content">
      <div class="l-auth-modal__context-container">
        <slot name="title">
          <h2>Register</h2>
        </slot>
        <slot name="description">
          <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Debitis est in quam reprehenderit.</p>
        </slot>
      </div>
      <div class="l-auth-modal__action-container">
        <slot name="actions">
          <input class="button-base" type="text" placeholder="Username">
          <input class="button-base" type="password" placeholder="Password">
          <input class="button-base" type="password" placeholder="Confirm password">
          <button class="button-base button-primary">Register</button>
          <p>Register now if you don't have account</p>
        </slot>
      </div>
    </div>
  </div>
</template>

<style lang="scss">
  .l-auth-modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    width: 300px;
    background-color: $complementary-gray-3;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0px 0px 15px 10px rgba(0, 0, 0, 0.30);
    &__top-flag {
      height: 48px;
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: $primary-green-25;
      color: $primary-green;
      gap: 8px;
      > p {
        font-weight: 600;
        font-size: 10px;
      }
    }
    &__content {
      display: flex;
      flex-direction: column;
      height: 100%;
      padding: 24px 2rem 2rem 2rem;
      gap: 24px;
    }
    &__context-container {
      display: flex;
      flex-direction: column;
      align-items: start;
      & > h2 {
        font-weight: 600;
        font-size: 14px;
        line-height: 17px;
        color: $complementary-white;
        padding-bottom: 6px;
      }
      & > p {
        font-weight: 600;
        font-size: 10px;
        color: $complementary-white-50;
      }
    }
    &__action-container {
      display: flex;
      flex-direction: column;
      align-items: center;
      gap: 1rem;
      > button, input {
        width: 100%;
        background-color: $complementary-gray-2;
      }
      > button {
        justify-content: center;
        background-color: $primary-blue;
      }
      > p {
        font-weight: 600;
        font-size: 11px;
        line-height: 10px;
        color: $complementary-white-25;
      }
      > input::placeholder {
        color: $complementary-white-25;
      }
    }
  }
</style>
